# General

## Network Connections

<mark style="color:blue;">`GET`</mark> `http://127.0.0.1:31567/network/connections/count`

Returns the number of network connections

{% tabs %}
{% tab title="200 Some number" %}

```
5
```

{% endtab %}
{% endtabs %}

## Decode Address

<mark style="color:blue;">`GET`</mark> `http://127.0.0.1:31567/address/decode`

Extract a public key hash or a contract identifier from an address

#### Path Parameters

| Name    | Type   | Description       |
| ------- | ------ | ----------------- |
| address | string | Address to decode |

{% tabs %}
{% tab title="200 " %}

```
{
     "pkHash": "some pk hash"
}
```

{% endtab %}

{% tab title="400 " %}

```
Address missing
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zenprotocol.com/apps/headless/api/general.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
